﻿using System;
using System.Windows.Forms;
using GameUtils;
using GameUtils.Graphics;
using GameUtils.Renderers.Gdi;

namespace GameUtils_Tutorial_Chapter2_CS
{
    static class Game
    {

        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            var window = new GameWindow();
            GameEngine.RegisterComponent(Renderer.Create<GdiRenderer>(window));

            var loop = new GameLoop();
            GameEngine.RegisterComponent(loop);

            loop.Register(new Counter());

            loop.Start();
            window.FormClosing += (sender, e) => loop.Stop();

            Application.Run(window);
        }
    }
}
